Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ThemeStylesheetUserPreferences

    java.lang.Object
      org.jasig.portal.StylesheetUserPreferences
          org.jasig.portal.ThemeStylesheetUserPreferences

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  StructureStylesheetUserPreferences

    public class ThemeStylesheetUserPreferences

extends StylesheetUserPreferences

User preferences for stylesheets performing theme transformation

Version:
  $Revision: 1.15.4.1 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.coma
See Also:
  Serialized Form

Field Summary
`protected java.util.Hashtable` | `channelAttributeNumbers`
`protected java.util.Hashtable` | `channelAttributeValues`
`protected java.util.ArrayList` | `defaultChannelAttributeValues`
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ThemeStylesheetUserPreferences()`
`ThemeStylesheetUserPreferences(ThemeStylesheetUserPreferences ssup)`

Method Summary
`void` | `addChannel(java.lang.String channelSubscribeId)`
`void` | `addChannelAttribute(java.lang.String attributeName, java.lang.String defaultValue)`
`private java.util.ArrayList` | `createChannel(java.lang.String channelSubscribeId)`
`java.lang.String` | `getCacheKey()`
`java.util.Enumeration` | `getChannelAttributeNames()`
`java.lang.String` | `getChannelAttributeValue(java.lang.String channelSubscribeId, java.lang.String attributeName)`
`java.util.Enumeration` | `getChannels()`
`java.lang.String` | `getDefinedChannelAttributeValue(java.lang.String channelSubscribeId, java.lang.String attributeName)` Returns channel attribute value only if it has been assigned specifically.
`boolean` | `hasChannel(java.lang.String channelSubscribeId)`
`java.lang.Object` | `newInstance()` Provides a copy of this object with all fields instantiated to reflect the values of this object.
`void` | `removeChannel(java.lang.String channelSubscribeId)`
`void` | `removeChannelAttribute(java.lang.String attributeName)`
`void` | `setChannelAttributeDefaultValue(java.lang.String attributeName, java.lang.String defaultValue)`
`void` | `setChannelAttributeValue(java.lang.String channelSubscribeId, java.lang.String attributeName, java.lang.String attributeValue)`

Methods inherited from class org.jasig.portal.StylesheetUserPreferences
`deleteParameter, getParameterValue, getParameterValues, getStylesheetId, putParameterValue, setParameterValues, setStylesheetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### channelAttributeNumbers

    protected java.util.Hashtable channelAttributeNumbers

### channelAttributeValues

    protected java.util.Hashtable channelAttributeValues

### defaultChannelAttributeValues

    protected java.util.ArrayList defaultChannelAttributeValues

Constructor Detail

### ThemeStylesheetUserPreferences

    public ThemeStylesheetUserPreferences()

### ThemeStylesheetUserPreferences

    public ThemeStylesheetUserPreferences(ThemeStylesheetUserPreferences ssup)

Method Detail

### newInstance

    public java.lang.Object newInstance()

  Provides a copy of this object with all fields instantiated to reflect the values of this object. This allows subclasses to override to add correct copying behavior for their added fields.

  Overrides:
    `newInstance` in class `StylesheetUserPreferences`
  Returns:
    a copy of this object

### getChannelAttributeValue

    public java.lang.String getChannelAttributeValue(java.lang.String channelSubscribeId,
                                                     java.lang.String attributeName)

### getDefinedChannelAttributeValue

    public java.lang.String getDefinedChannelAttributeValue(java.lang.String channelSubscribeId,
                                                            java.lang.String attributeName)

  Returns channel attribute value only if it has been assigned specifically.

  Parameters:
    `channelSubscribeId` - channel id
    `attributeName` - name of the attribute
  Returns:
    attribute value or null if the value is determined by the attribute default

### setChannelAttributeValue

    public void setChannelAttributeValue(java.lang.String channelSubscribeId,
                                         java.lang.String attributeName,
                                         java.lang.String attributeValue)

### addChannelAttribute

    public void addChannelAttribute(java.lang.String attributeName,
                                    java.lang.String defaultValue)

### setChannelAttributeDefaultValue

    public void setChannelAttributeDefaultValue(java.lang.String attributeName,
                                                java.lang.String defaultValue)

### removeChannelAttribute

    public void removeChannelAttribute(java.lang.String attributeName)

### getChannelAttributeNames

    public java.util.Enumeration getChannelAttributeNames()

### addChannel

    public void addChannel(java.lang.String channelSubscribeId)

### removeChannel

    public void removeChannel(java.lang.String channelSubscribeId)

### getChannels

    public java.util.Enumeration getChannels()

### hasChannel

    public boolean hasChannel(java.lang.String channelSubscribeId)

### createChannel

    private java.util.ArrayList createChannel(java.lang.String channelSubscribeId)

### getCacheKey

    public java.lang.String getCacheKey()

  Overrides:
    `getCacheKey` in class `StylesheetUserPreferences`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD